Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.commands
Class AddAgentActsLoaderCommand

    java.lang.Object
      AbstractOverrideableCommand
          org.metaabm.commands.AddAgentActsCommand
              org.metaabm.commands.AddAgentActsLoaderCommand

Direct Known Subclasses:
  AddLoadShapesAgentLoaderCommand

    public class AddAgentActsLoaderCommand

extends AddAgentActsCommand

Add agent acts from a specific loader.

Author:
  milesparker

Field Summary
`(package private) ALoadAgents` | `agentAct`
`(package private) SProjection` | `projection`
`(package private) java.net.URL` | `url`

Fields inherited from class org.metaabm.commands.AddAgentActsCommand
`agents, command, parent`

Constructor Summary
`AddAgentActsLoaderCommand(EditingDomain domain, SContext parent, SProjection projection, java.net.URL url, java.util.Collection<?> agents)`

Method Summary
`protected ALoadAgents` | `createAct()`
`protected void` | `createAgentConstructor(SAgent agent, ABuild builder)`
`ALoadAgents` | `getAgentAct()`

Methods inherited from class org.metaabm.commands.AddAgentActsCommand
`doCanExecute, doExecute, doGetAffectedObjects, doRedo, doUndo, findBuilderFor, findBuilderOf, findCreatorFor, findCreatorOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### projection

    SProjection projection

### url

    java.net.URL url

### agentAct

    ALoadAgents agentAct

Constructor Detail

### AddAgentActsLoaderCommand

    public AddAgentActsLoaderCommand(EditingDomain domain,
                                     SContext parent,
                                     SProjection projection,
                                     java.net.URL url,
                                     java.util.Collection<?> agents)

Method Detail

### createAgentConstructor

    protected void createAgentConstructor(SAgent agent,
                                          ABuild builder)

  Overrides:
    `createAgentConstructor` in class `AddAgentActsCommand`

### createAct

    protected ALoadAgents createAct()

### getAgentAct

    public ALoadAgents getAgentAct()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors